遇到安装libevent-2.0.12-stable 报一大堆错误的话,可能是版本不兼容,去官网:http://libevent.org/ 下载最新stable版本安装即可

遇到bzlib.h is required的话,需要安装bzlib库

sudo apt-get install libbz2-dev

遇到event.h: No such file or directory 的时候需要重新安装libevent库,出现这个错误是因为找不到libevent库的event.h文件,编译时建议不要加–prefix指定路径,用系统默认路径可以解决这个问题。。

最后,如果启动遇到

httpsqs: error while loading shared libraries: libevent-2.0.so.5: cannot open shared object file: No such file or directory

需要做一个软连接到/usr/lib目录下,如果你是默认路径安装libevent的话,只需要

sudo ln -s /usr/local/lib/libevent-2.0.so.5.1.9 /usr/lib/libevent-2.0.so.5

即可